For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETStart Google OAuth login
      • GETGoogle OAuth callback
      • POSTRequest a SIWE nonce
      • POSTVerify SIWE signature, sign in / create account
      • GETList sign-in identities on the current account
      • POSTLink a wallet to the current account (SIWE signature)
      • DELUnlink a wallet from the current account
      • GETBegin a Google flow that links to the current account
      • DELUnlink a Google identity from the current account
      • GETGet current session
      • GETList active sessions
      • POSTLogout this session
      • POSTLogout all sessions
LogoLogo
DashboardGet started
Generated API ExplorerAuth

Verify SIWE signature, sign in / create account

POST
/v1/auth/wallet/verify
POST
/v1/auth/wallet/verify
$curl -X POST https://api.lipafy.xyzyz/v1/auth/wallet/verify \
> -H "Content-Type: application/json" \
> -d '{
> "message": "string",
> "signature": "string"
>}'
200Successful
1{
2 "account": {
3 "id": "string",
4 "name": "string",
5 "email": "string",
6 "phone": "string",
7 "type": "developer",
8 "status": "active",
9 "created_at": "2024-01-15T09:30:00Z"
10 },
11 "address": "string",
12 "chain_id": 1,
13 "is_new_account": true,
14 "token": "string"
15}
Was this page helpful?
Previous

List sign-in identities on the current account

Next
Built with

Request

This endpoint expects an object.
messagestringRequired1-4000 characters
signaturestringRequiredformat: "^0x[a-fA-F0-9]+$"

Response

Signed in
accountobject
addressstring
chain_idinteger
is_new_accountboolean
tokenstring